GNU bug report logs - #16771
24.3.50; pcase generates irritating warnings

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: Helmut Eller <eller.helmut@HIDDEN>; Keywords: confirmed; merged with #25558, #27545; dated Sun, 16 Feb 2014 20:34:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Added tag(s) confirmed. Request was from npostavs@HIDDEN to control <at> debbugs.gnu.org. Full text available.
Forcibly Merged 16771 25558 27545. Request was from npostavs@HIDDEN to control <at> debbugs.gnu.org. Full text available.
Forcibly Merged 16771 25558. Request was from npostavs@HIDDEN to control <at> debbugs.gnu.org. Full text available.

Message received at 16771 <at> debbugs.gnu.org:


Received: (at 16771) by debbugs.gnu.org; 17 Feb 2014 03:27:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 16 22:27:32 2014
Received: from localhost ([127.0.0.1]:55465 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WFErj-0001oA-Mc
	for submit <at> debbugs.gnu.org; Sun, 16 Feb 2014 22:27:31 -0500
Received: from ironport2-out.teksavvy.com ([206.248.154.181]:27696)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <monnier@HIDDEN>) id 1WFErh-0001nu-Dh
 for 16771 <at> debbugs.gnu.org; Sun, 16 Feb 2014 22:27:29 -0500
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: Av8EABK/CFFMCo7M/2dsb2JhbABEuzWDWRdzgh4BAQQBViMFCws0EhQYDSSIHgbBLZEKA4hhnBmBXoMV
X-IPAS-Result: Av8EABK/CFFMCo7M/2dsb2JhbABEuzWDWRdzgh4BAQQBViMFCws0EhQYDSSIHgbBLZEKA4hhnBmBXoMV
X-IronPort-AV: E=Sophos;i="4.84,565,1355115600"; d="scan'208";a="47844873"
Received: from 76-10-142-204.dsl.teksavvy.com (HELO pastel.home)
 ([76.10.142.204])
 by ironport2-out.teksavvy.com with ESMTP/TLS/ADH-AES256-SHA;
 16 Feb 2014 22:27:23 -0500
Received: by pastel.home (Postfix, from userid 20848)
 id BC4B3600A2; Sun, 16 Feb 2014 22:27:23 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: Helmut Eller <eller.helmut@HIDDEN>
Subject: Re: bug#16771: 24.3.50; pcase generates irritating warnings
Message-ID: <jwvppmm2zdo.fsf-monnier+emacsbugs@HIDDEN>
References: <m238jiiyrp.fsf@HIDDEN>
Date: Sun, 16 Feb 2014 22:27:23 -0500
In-Reply-To: <m238jiiyrp.fsf@HIDDEN> (Helmut Eller's message of "Sun, 16
 Feb 2014 21:32:58 +0100")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 16771
Cc: 16771 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

> This warning is annoying

Agreed.  I have the impression we already have a bug-number for this
one, but maybe not.
I don't know yet how to fix this, sadly,


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16771; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 16 Feb 2014 20:33:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 16 15:33:36 2014
Received: from localhost ([127.0.0.1]:55026 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WF8PA-0007IP-16
	for submit <at> debbugs.gnu.org; Sun, 16 Feb 2014 15:33:36 -0500
Received: from eggs.gnu.org ([208.118.235.92]:51915)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eller.helmut@HIDDEN>) id 1WF8P6-0007I9-Ih
 for submit <at> debbugs.gnu.org; Sun, 16 Feb 2014 15:33:33 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eller.helmut@HIDDEN>) id 1WF8Os-0005Ya-NT
 for submit <at> debbugs.gnu.org; Sun, 16 Feb 2014 15:33:27 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:53909)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <eller.helmut@HIDDEN>) id 1WF8Os-0005YW-Kf
 for submit <at> debbugs.gnu.org; Sun, 16 Feb 2014 15:33:18 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:53584)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <eller.helmut@HIDDEN>) id 1WF8Oj-0003TV-Q7
 for bug-gnu-emacs@HIDDEN; Sun, 16 Feb 2014 15:33:18 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eller.helmut@HIDDEN>) id 1WF8Ob-0005WZ-Cs
 for bug-gnu-emacs@HIDDEN; Sun, 16 Feb 2014 15:33:09 -0500
Received: from mail-ee0-x22e.google.com ([2a00:1450:4013:c00::22e]:59873)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <eller.helmut@HIDDEN>) id 1WF8Ob-0005WV-5Q
 for bug-gnu-emacs@HIDDEN; Sun, 16 Feb 2014 15:33:01 -0500
Received: by mail-ee0-f46.google.com with SMTP id c13so6704422eek.33
 for <bug-gnu-emacs@HIDDEN>; Sun, 16 Feb 2014 12:33:00 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=from:to:subject:date:message-id:mime-version:content-type;
 bh=T0WUsYXrDcfiDJ0vMDm3uM/GDY/K7StIfzoZSm8yYGo=;
 b=iJUtSIeq9bqx0QaInQQLjSV97133zRvHML5QOnj3cVnYW1KGVzOFVBeKmLwFKkwOCk
 gK3EwA02UbFkQI5JrlNEKAxHJGWCwrff0eea1gQcinO9Oen5h9DGev+te9omBh8a4zcD
 UrRjARygnXQVjEu/j50F5q46km48W5zgdOPGFXrrJTP9SwCNP6Jnat5ZEg0BBwx/LElL
 JXW+YTWxxbUYuY6G+C3xTvYng03intVn+u22pKNYBOx14Hl+tZdRnZiXWkoVmWBWrO9u
 ylnHMnc7OTGtfr3Lj8/BoPPzXHosdd+FLeM8rY+tdNJhv0Nz/meCRBlMyvYc5WXBsOIK
 ITCw==
X-Received: by 10.14.95.134 with SMTP id p6mr4471988eef.73.1392582779982;
 Sun, 16 Feb 2014 12:32:59 -0800 (PST)
Received: from ix ([212.46.176.45])
 by mx.google.com with ESMTPSA id f45sm48639264eeg.5.2014.02.16.12.32.58
 for <bug-gnu-emacs@HIDDEN>
 (version=TLSv1.2 cipher=RC4-SHA bits=128/128);
 Sun, 16 Feb 2014 12:32:59 -0800 (PST)
Received: from helmut by ix with local (Exim 4.80)
 (envelope-from <eller.helmut@HIDDEN>) id 1WF8OY-00019j-3t
 for bug-gnu-emacs@HIDDEN; Sun, 16 Feb 2014 21:32:58 +0100
From: Helmut Eller <eller.helmut@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 24.3.50; pcase generates irritating warnings 
Date: Sun, 16 Feb 2014 21:32:58 +0100
Message-ID: <m238jiiyrp.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

Compiling this example:
  ;; -*-lexical-binding:t-*-
  (eval-when-compile
    (require 'pcase))
  
  (defun foo (x)
    (pcase x
      ((and `(,sym)
            (guard (symbolp sym)))
       t)))

with emacs -batch -f batch-byte-compile foo.el produces this output:

  In toplevel form:
  foo.el:5:1:Warning: Unused lexical variable `sym'
  Wrote /tmp/foo.elc

This warning is annoying as sym is obviously used in the guard
expression and replacing sym with _sym also doesn't help because that
produces

  foo.el:5:1:Warning: variable `_sym' not left unused

In GNU Emacs 24.3.50.6 (i686-pc-linux-gnu, GTK+ Version 2.24.10)
 of 2014-02-14 on ix




Acknowledgement sent to Helmut Eller <eller.helmut@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#16771; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 1 Jul 2017 13:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.